Please read the [security policy](https://docs.plateforme.io/latest/about/security) from the official documentation site.

---

# Security policy

Security is fundamental to Plateforme and our community.

## Reporting a vulnerability

The latest version of Plateforme is supported.

If you think you've discovered a security vulnerability, even if you're not entirely certain about it, we encourage you to report it immediately by emailing [security@plateforme.io](mailto:security@plateforme.io). To help us investigate effectively:

- [x] Provide detailed steps that would allow us to reproduce the potential security issue
- [x] Include example code demonstrating the vulnerability whenever possible
- [x] Share any additional context or observations that might help us understand the impact and scope

## Public discussions

If you believe you've discovered a potential security vulnerability, please refrain from discussing it publicly. A private disclosure allows us to investigate and implement fixes before potential exposure, significantly reducing security risks for all users. Work with us directly through the reporting process outlined above.

## Best practices

You are encouraged to keep your project secure by [writing tests](https://docs.plateforme.io/latest/learn/guides/testing) and updating Plateforme frequently after verifying test success. Each update brings new features, bug fixes, and **security patches**. Check our documentation for [version pinning and upgrade](https://docs.plateforme.io/latest/about/releases) best practices.

---

Your help in keeping Plateforme secure is invaluable!
